ros-rolling-ament-cmake-clang-tidy (0.20.0-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 24 Apr 2025 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.19.2-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Thu, 17 Apr 2025 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.19.1-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Sun, 02 Feb 2025 06:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.19.0-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Wed, 20 Nov 2024 06:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.18.1-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Mon, 17 Jun 2024 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.18.0-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Fri, 26 Apr 2024 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.17.0-1noble) noble; urgency=high



 -- Chris Lalancette <clalancette@gmail.com>  Tue, 16 Apr 2024 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.16.4-1noble) noble; urgency=high

  * Update maintainer list in package.xml files (#474 <https://github.com/ament/ament_lint/issues/474>)
  * Contributors: Michael Jeronimo

 -- Chris Lalancette <clalancette@gmail.com>  Thu, 28 Mar 2024 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.16.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 07 Feb 2024 06:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.16.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 26 Dec 2023 06:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.16.1-1noble) noble; urgency=high

  * Provide --header-filter and --jobs to CMake. (#450 <https://github.com/ament/ament_lint/issues/450>)
  * Contributors: Roderick Taylor

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 06 Nov 2023 06:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.16.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 04 Oct 2023 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.15.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Jul 2023 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.15.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 07 Jun 2023 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.15.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 27 Apr 2023 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.14.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 11 Apr 2023 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.14.0-1noble) noble; urgency=high

  * [rolling] Update maintainers - 2022-11-07 (#421 <https://github.com/ament/ament_lint/issues/421>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 14 Feb 2023 06:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.13.2-1noble) noble; urgency=high

  * Update maintainers (#379 <https://github.com/ament/ament_lint/issues/379>)
  * Contributors: methylDragon

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 13 Sep 2022 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.13.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 09 May 2022 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.13.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 29 Apr 2022 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.12.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 08 Apr 2022 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.12.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 28 Mar 2022 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.12.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 01 Mar 2022 06:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.12.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Feb 2022 06:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.11.4-1noble) noble; urgency=high

  * Update forthcoming version in changelogs
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 06:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.11.3-1noble) noble; urgency=high

  * Update maintainers to Michael Jeronimo and Michel Hidalgo (#340 <https://github.com/ament/ament_lint/issues/340>)
  * Improvements to ament_lint_clang_tidy. (#316 <https://github.com/ament/ament_lint/issues/316>)
  * Contributors: Audrow Nash, Steven! Ragnarök

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 14 Jan 2022 06:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.11.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Jun 2021 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.11.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Jun 2021 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.11.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Jun 2021 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.10.6-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 06 May 2021 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.10.5-1noble) noble; urgency=high

  * Remove Claire as a maintainer. (#312 <https://github.com/ament/ament_lint/issues/312>)
    * Remove Claire as a maintainer.
    * Remove dead email addresses.
    * Remove more dead email addresses.
    * Switch setup.py maintainer to Audrow.
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 14 Apr 2021 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.10.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 18 Mar 2021 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.10.3-1noble) noble; urgency=high

  * 0.10.3
  * add TIMEOUT argument to ament_cmake_clang_tidy (#298 <https://github.com/ament/ament_lint/issues/298>)
  * Contributors: Audrow Nash, M. Mei

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 03 Mar 2021 06:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.10.2-1noble) noble; urgency=high

  * Add Audrow as a maintainer (#294 <https://github.com/ament/ament_lint/issues/294>)
  * Contributors: Audrow Nash

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 12 Feb 2021 06:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.10.1-1noble) noble; urgency=high

  * Fix documentation for ament_cmake_clang_tidy (#285 <https://github.com/ament/ament_lint/issues/285>)
  * Update maintainer (#274 <https://github.com/ament/ament_lint/issues/274>)
    * update maintainer
    * add authors
  * Contributors: Claire Wang, Tyler Weaver

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 25 Jan 2021 06:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.10.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 18 Sep 2020 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.9.4-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 26 May 2020 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.9.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 May 2020 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.9.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 08 May 2020 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.9.1-1noble) noble; urgency=high

  * 0.9.0
  * Contributors: Chris Lalancette

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 10 Apr 2020 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.8.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 23 Oct 2019 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.8.0-1noble) noble; urgency=high

  * Fix append error
  * Contributors: John

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 17 Sep 2019 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.7.4-1noble) noble; urgency=high

  * Remove build failing whitespace (#162 <https://github.com/ament/ament_lint/issues/162>)
    * Remove whitespace from clang-format and clang-tidy
  * Add custom config file support (#159 <https://github.com/ament/ament_lint/issues/159>)
  * Add clang tidy to ament linters (#155 <https://github.com/ament/ament_lint/issues/155>)
    * Basic clang-lint functionality
    * Add clang tidy cmake dir
    * Add Google/default config file
    * Add xunit output
    * Add lint tests
    * Update copyright, maintainer, verbiage
  * Contributors: John

 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 31 Jul 2019 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.7.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 09 May 2019 19:08:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.7.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 09 May 2019 14:30:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.7.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Tue, 07 May 2019 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.7.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 11 Apr 2019 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.6.3-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 14 Jan 2019 06:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.6.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 06 Dec 2018 06:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.6.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Thu, 15 Nov 2018 06:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.6.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 14 Nov 2018 06:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.5.2-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Wed, 27 Jun 2018 05:00:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.5.1-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 Jun 2018 18:47:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.5.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Mon, 18 Jun 2018 15:09:00 -0000

ros-rolling-ament-cmake-clang-tidy (0.4.0-1noble) noble; urgency=high



 -- Michael Jeronimo <michael.jeronimo@openrobotics.org>  Fri, 08 Dec 2017 06:00:00 -0000


